﻿var promptsStrings = {

    avName: 'Antivirus Protection',
    ecName: 'EndPoint Control',
    pmName: 'Patch Management',
    atName: 'Asset Tracking',

    addDevice: "How to manually deploy Agents",
    remDev: "Remove Device",
    remDevMsg: "Are you sure you want to remove the selected device from this group?",
    remDevAltMsg: "Removed devices are moved to the Discovered Devices area. GFI OneGuard Agents on these devices are automatically uninstalled.",
    remDevAltMsgUnclassified: "Removed devices reappear if rediscovered in the next scan.",
    remDevices: "Remove Devices",
    remDevicesMsg: "Are you sure you want to remove the selected devices from this group?",
    delRep: "Delete Report",
    delRepMsg: "Are you sure you want to delete the selected report?",
    delRepAltMsg: "Create custom reports from default reports.",
    delReports: "Delete Reports",
    delReportsMsg: "Are you sure you want to delete the selected reports?",
    cancel: "Cancel",
    download: "Download",
    pendingSave: "Discard Changes",
    pendingSaveMsg: "Are you sure you want to exit without saving?",
    pendingSaveAltMsg: "Unsaved changes will be lost.",
    delGroup: "Delete Group",
    delGroupMsg: "Are you sure you want to delete this group?",
    delGroupAltMsg: "This action will affect {{childGroupCount}} groups and {{childDeviceCount}} devices.",
    delTreeGroupAltMsg: "All devices in this group and any child groups will be no longer be managed and moved to the Discovered Devices area.",
    newGroup: "Create new group",
    newGroupMsg: "Specify new group name",
    newGroupAltMsg: "This group will be added to {{parentGroup}}.",
    newGroupEmptyMsg: "New Group Name",
    delIndividualRole: "Delete role",
    delIndividualRoleMsg: "Are you sure you want to delete this role?",
    delAssignedRoles: "Delete role assignments",
    delAssignedRolesMsg: "Are you sure you want to delete assigned roles?",
    removeFileType: "Remove File Type",
    removeFileTypeMsg: "Are you sure you want to delete this file type from the list?",
    removeRow: "Remove",
    removeRowMsg: "Are you sure you want to delete this entry?",
    removeRowAllMsg: "Are you sure you want to delete the selected entries?",
    removePolicyRule: "Remove EndPoint Control Policy Rule",
    removePolicyRuleMsg: "Are you sure you want to delete this Policy Rule?",
    delOpsRoleBlock: "Delete role assignment",
    delOpsRoleBlockMsg: "Are you sure you want to delete this role assignment?",
    delController: "Delete Controller",
    delControllerMsg: "Are you sure you want to delete this Controller?",
    delEmailAdmin: "Delete email address",
    delEmailAdminMsg: "Are you sure you want to delete this administrator?",
    ignoreNotifications: "Delete Notifications",
    ignoreNotificationsMsg: "Delete selected notifications?",
    ignoreNotification: "Delete Notification",
    ignoreNotificationMsg: "Delete this notification?",
    removeJob: "Remove Active Job",
    removeJobMsg: "Are you sure you want to remove this job?",
    removeJobs: "Remove Jobs",
    removeJobsMsg: "Are you sure you want to remove these jobs?",
    importWithPendingSave: "Import policy settings",
    importWithPendingSaveMsg: "Are you sure you want to import without saving? All pending unsaved changes will be lost.",
    deleteReport: "Delete Report",
    deleteReportMsg: "Are you sure you want to delete this report?",


    delDevicesMsg: "Device\s successfully removed.",
    moveToDiscDevicesMsg: "Device\s successfully moved to Dicovered Devices.",
    grpNameExistsSideTree: "Group with same name already exists.",
    valueEmpty: "Value cannot be left empty",
    pwdNoMatch: "Passwords do not match",

    moveDeviceToGrp: "Device moved successfully.",
    deviceAlreadyInGroup: "The device you are trying to move is already a member of the group.",
    ptcSaveGroupSettings: "Policy saved successfully,",                 //patch-mgmt.js
    ptcImportPolicy: "Import successful.",
    ptcImportPolicyFailedWith: "Import failed with ",
    importPolicyFailedMessage: "Failed to Import Policy",
    importPolicyFailedMessageError: "Failed to Import Policy, with error: ",
    importExclusionListFailed: "Failed to Import Exclusion List",
    importCustomExceptionListFailed: "Failed to Import Custom Exception List",
    exportCustomExceptionListFailed: "Failed to Export Custom Exception List",
    //ptchInvalidScanTime: "Enter a valid time for patch scanning and install.",
    //ptchInvalidImmedScan: "Enter a valid time for run scan immediately.",
    importDictionaryFileFailedWith: "Importing dictionary file failed with ",
    importDictionaryFileSuccessful: "Dictionary file successfully imported",
    gettingDictionaryNamesFailedWith: "Failed to get dictionary names with: ",
    dictionaryFileExistsOverwrite: "A dictionary file with the same name already exists. Do you want to overwrite it?",
    checkDictionaryExistsFailedWith: "Checking if the dictionary file exists, failed with: ",
    createNewContentTemplateSucceeded: "Successfully created new content awareness template.",
    createNewContentTemplateFailedWith: "Creating new content awareness template failed: ",

    invalidScanTime: "Enter a valid time for scanning and install.",
    invalidImmedScan: "Enter a valid time for run scan immediately.",

    ptcSaving: "Saving...",
    ptcImporting: "Importing...",
    ptcInvalidRec: "Enter a valid recipient.",
    hideGrpService: "Hide group services",
    showGrpService: "Show group services",
    monday: "Mon",                                          //Patch Management Monthly First and Last Days
    tuesday: "Tue",
    wednesday: "Wed",
    thursday: "Thu",
    friday: "Fri",
    saturday: "Sat",
    sunday: "Sun",

    messagePrompt: "Message",
    messagePromptMsg: "Send a message to {{deviceName/groupName}}",
    deviceReboot: "Reboot Device",
    deviceRebootMsg: "Are you sure you want to reboot this device?",
    deviceShutdown: "Shutdown Device",
    deviceShutdownMsg: "Are you sure you want to shutdown this device?",

    changeCustom: "Custom Security Level",
    customSecurityLevelMsg: "Do you want to switch to Custom?",
    customSecurityLevelAltMsg: "Antivirus Security Level will be changed to Custom.",

    groupNotesSaved: "Group notes saved",

    addFileType: "Add File-type filter",
    addFileTypeMsg: "Select File Type",

    addContentTemplate: "Add Template",
    addContentTemplateMsg: "Select a template to add below. Type some letters to get matching list of templates",

    createContentTemplate: "Create Template",
    createContentTemplateMsg: "Fill below fields to create new content awareness template",

    ecPolicyNameMissing: "No Policy Rule Name",
    ecPolicyNameMissingMsg: "Please give a name to this policy rule.",

    ecPolicyUsersMissing: "Users or Groups not added",
    ecPolicyUsersMissingMsg: "Please add users or groups to this policy rule.",

    ecPolicySelectEncType: "Encryption Type not Selected",
    ecPolicySelectEncTypeMsg: "Please select one of the two encryption types to be used for drive encryption.",
}

var BulkActionsStrings = {
    IgnorePatch: "Patch already ignored.",
    IgnorePatches: "Patches already ignored.",
    ApprovePatch: "Patch already approved.",
    ApprovePatches: "Patches already approved.",
    InstallPatch: "Patch already installed.",
    InstallPatches: "Patches already installed.",
    NoData: "No patches selected.",
    RescanThreat: "Threat is being rescanned in the background.",
    RescanThreats: "Threats are being rescanned in the background.",
    RestoreFile: "File is being restored in the background.",
    RestoreFiles: "Files are being restored in the background.",
    DeleteThreat: "Threat is being deleted in the background.",
    DeleteThreats: "Threats are being deleted in the background."
}

var NagwareStrings = {
    ShowMore: "Show More",

    //UI Messages
    NoGroupSelectedForService: "No other group has such service enabled."
}
